Skip to main content
`Ctrl`+`K`

# KSPPIPEFCGGetNprealloc

get the number of directions to preallocate by `KSPPIPEFCG`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetNprealloc(KSP ksp, PetscInt *nprealloc)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- nprealloc - the number of directions preallocated

## See Also

KSP: Linear System Solvers, `KSPPIPEFCG`, `KSPPIPEFCGGetTruncationType()`, `KSPPIPEFCGSetNprealloc()`, `KSPPIPEFCGSetMmax()`, `KSPPIPEFCGGetMmax()`

## Level

advanced

## Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages